Skip to main content

Eclipse plug-in issues

18 replies [Last post]
gbeaty
Offline
Joined: 2010-01-14

When attempting to install the plugin from http://ri.opencable.com/sdk/updates/eclipse.3.4.2/stable/latest/. I am getting this error:

Cannot complete the install because one or more required items could not be found.
Missing requirement: 1263514149024 0.0.0.1263514149024 requires 'org.tru2way.twb.feature.feature.group [1.0.0.200912181552NGT]' but it could not be found

Is there any work around this. Thanks.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
abhi_h
Offline
Joined: 2012-04-23

Hi,

I am having the same problem. My plug-in doesnt seem to install on Eclipse 3.4.2 and shows error-An error occurred while collecting items to be installed
No repository found containing: javax.xml/osgi.bundle/1.3.4.v200806030440
No repository found containing: org.apache.xerces/osgi.bundle/2.9.0.v200805270400
No repository found containing: org.apache.xml.resolver/osgi.bundle/1.2.0.v200806030312
No repository found containing: org.apache.xml.serializer/osgi.bundle/2.7.1.v200806030322

Can anyone fix this problem.....? whats the issue related to?

csweeney
Offline
Joined: 2009-04-11

Do you have to use 3.4.2? Our most recent testing/release is for 3.6...

marvin_kim
Offline
Joined: 2007-03-21

I used eclipse-rcp-ganymede-SR2-win32.zip, and installed plug-in according to the TWB_ReleaseNotes.pdf.
But still cannot find RI Bundle Registry.
I checked the Error Log, but there is nothing.
I am using JRE 1.5.0_22.
Do you know what I need to check more?

marvin_kim
Offline
Joined: 2007-03-21

I have the same problem, I cannot find "RI Bundle Registry".
Have you found any solution for that?

david_crandall
Offline
Joined: 2010-01-05

This error comes up for a wide wide variety of reasons, most often from not having my application tied to a service for (almost always) my own silly doing.

mmillard
Offline
Joined: 2008-11-05

It looks like some of the Eclipse plug-ins are not being activated. Turn on the Error Log view (via Windows->Show View->Error Log). Are there any messages there describing activation issues?

apopv
Offline
Joined: 2009-08-14

Hi, I have the same problem with the plugin: see http://forums.java.net/jive/thread.jspa?threadID=73974&tstart=0.

The only errors mentioned in Eclipse log are the ones below:
...
!ENTRY org.eclipse.equinox.p2.metadata.repository 2 0 2010-02-04 09:43:19.593
!MESSAGE Error parsing metadata repository
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 9, column 99: Missing required attribute in "repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 9, column 99: Illegal value for attribute "url" of element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 10, column 99: Missing required attribute in "repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 10, column 99: Illegal value for attribute "url" of element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 11, column 97: Missing required attribute in "repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 11, column 97: Illegal value for attribute "url" of element "repository": null
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 12, column 97: Missing required attribute in "repository": url
!SUBENTRY 1 org.eclipse.equinox.p2.core 2 0 2010-02-04 09:43:19.593
!MESSAGE Error at line 12, column 97: Illegal value for attribute "url" of element "repository": null
...
I checked and, indeed, in the "[eclipse_home]/p2/org.eclipse.equinox.p2.metadata.repository/cache" folder there are two jars which, in their content.xml file, are using "uri" as attribute name instead of "url" (those jars are created there only when TWB plugin is installed). After I replaced "uri" with "url" in those files, the error above do not appear anymore, but the TWB plugin still not working.

Any suggestions? Thanks.

mmillard
Offline
Joined: 2008-11-05

I haven't seen anything like this; I use the Eclipse version from the OCAP-RI SVN repository, installing it and the TWB plugins on multiple machines.

Taking a a shot in the dark: are you installing Eclipse over the same directory structure? If so, try installing the OCAP-RI SVN version in a clean directory. I'm just wondering if the cache is being picked up from a previous Eclipse installation.

gbeaty
Offline
Joined: 2010-01-14

That problem has been solved, thank you. Now when trying to register the bundle there's no option in eclipse. Is there another step that has to be done before this will work?

csweeney
Offline
Joined: 2009-04-11

The option is accessed via:
Window->Preferences, then click on "RI Bundle Registry" in the left hand pane.

gbeaty
Offline
Joined: 2010-01-14

I know that, the problem is that that option, "RI Bundle Registry" is not showing up in the prefs menu.

csweeney
Offline
Joined: 2009-04-11

My eclipse install has:
General
Ant
Communications
Help
Install/Update
Java
Plug-in Development
RI Bundle Registry
...

You might want to check the error log:
Window->Show View->Error Log

kpvrlakshmi
Offline
Joined: 2010-03-26

Hi,
Have resolved this issue?,i'm also having the same problem,there is no plugin development option in eclipse,plz tell me if u have any solution for that one.

csweeney
Offline
Joined: 2009-04-11

The "Plugin Development Option" will only be available if you have certain plugins installed. Your installation of Eclipse may be different.

We have tested against a version of eclipse that is available from our subversion repository:
https://community.cablelabs.com/svn/OCAPRI/trunk/SDK/3rdParty/Eclipse/ec...

Try downloading that file and unzip it. Double click on eclipse.exe. Follow the installation instructions contained in the release notes: http://ri.opencable.com/sdk/updates/eclipse.3.4.2/stable/latest/TWB_Rele...

kpvrlakshmi
Offline
Joined: 2010-03-26

Thanks for the reply,I have resolved the issue by installing the eclipse what u have provided,Thank you once again.

csweeney
Offline
Joined: 2009-04-11

What version of eclipse are you using? We have tested with:
Version: 3.4.2
Build id: M20090211-1700

The version of eclipse that we have tested with is located in our repository at:
https://community.cablelabs.com/svn/OCAPRI/trunk/SDK/3rdParty/Eclipse/

Can you (using a browser) browse to http://ri.opencable.com/sdk/updates/eclipse.3.4.2/stable/latest/ ?

theomen008
Offline
Joined: 2010-11-17

Hi:
I am new to OCAP and I tried to install the Eclipse plugin but I am unable to see the "RI Bundle Registry" in the Windows->Preferences menu.
I am using Eclipse Version: 3.4.2 Build id: M20090211-1700. I installed the plugin from the site ht. tp://ri.opencable.com/sdk/updates/eclipse.3.4.2/stable/latest/. I see the software being installed as tru2way workbench feature.
Any help will be greatly appricated.
Thank you,
Theomen008

kpvrlakshmi
Offline
Joined: 2010-03-26

Hi,
I'm new to the OCAP based application development,plz can u provide me the suggestions for the development of the
one simple task if we click on the next button it need to show the next screen.

Thank You